
Redmine - Defect #28951

Cannot clear category field on copying an Issue

2018-06-05 10:08 - László Végh

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 4.0.0   

Resolution: Fixed Affected version:  

Description

If I copy an issue with a non-empty category and clear the category field, the category is still set in the new (copied) issue.

Environment:

  Redmine version                3.4.5.stable

  Ruby version                   2.3.7-p456 (2018-03-28) [x86_64-linux]

  Rails version                  4.2.8

  Environment                    production

  Database adapter               Mysql2

SCM:

  Git                            2.14.1

  Filesystem                     

Redmine plugins:

  redmine_agile                  1.4.6

DB:

  mysql 5.6.39

Related issues:

Related to Redmine - Feature #15919: Set default category assignee immediatel... Closed

Associated revisions

Revision 17395 - 2018-06-17 08:22 - Jean-Philippe Lang

Cannot clear category field on copying an Issue (#28951).

History

#1 - 2018-06-05 10:10 - László Végh

This was working before the upgrade (3.1.0 -> 3.4.5)

#2 - 2018-06-17 07:23 - Go MAEDA

- Status changed from New to Confirmed

- Target version set to 4.0.0

- Affected version deleted (3.4.5)

Confirmed the problem. This is due to r17320. The trunk is affected but stable branches are not.

#3 - 2018-06-17 07:24 - Go MAEDA

- Related to Feature #15919: Set default category assignee immediately upon category selection added

#4 - 2018-06-17 08:26 - Jean-Philippe Lang

Go MAEDA wrote:

Confirmed the problem. This is due to r17320. The trunk is affected but stable branches are not.

 This problem should be fixed by r17395.

But the OP is using a stable branch, can you confirm?

#5 - 2018-06-17 08:37 - Go MAEDA
https://www.redmine.org/projects/redmine/repository/svn/revisions/17320
https://www.redmine.org/projects/redmine/repository/svn/revisions/17320
https://www.redmine.org/projects/redmine/repository/svn/revisions/17395


- Assignee set to Jean-Philippe Lang

Jean-Philippe Lang wrote:

But the OP is using a stable branch, can you confirm?

 No, I cannot reproduce it on 3.4.6. Probably the reporter is using the master branch of https://github.com/redmine/redmine. It is not an svn working

copy, so Redmine does not add ".devel.nnnnn" information to the version number.

I think we can close this issue.

#6 - 2018-06-17 15:00 - Jean-Philippe Lang

- Status changed from Confirmed to Closed

- Resolution set to Fixed
